Articles of пакета управления

Почему это автоматическое обновление пакета?

У меня есть PPA для ежедневных сборок Mozilla в Firefox, но по какой-то причине firefox-trunk не обновляется более месяца. В PPA он показывает, что он должен быть в версии 45a1, но вместо этого он равен 44a1. Я проверил, что пакет не приостановлен: ↪ dpkg –get-selections | grep "firefox" firefox install firefox-locale-en install firefox-trunk install unity-scope-firefoxbookmarks […]

Ошибка Ubuntu 16.04 apt-get с локальным хранилищем

На моем сервере Ubuntu 16.04 У меня есть следующие записи в /etc/apt/sources.list deb [arch=amd64 trusted=yes] file:/home/discoprodigy /debbin main Для хорошей меры я также пытался ограничить, вселенную и мультиверсию. В этом файле нет других записей. И /etc/apt/sources.list.d пуст. В /home/discoprodigy/debbin 152 miscellaneous .deb files Packages.gz Packages (plain text file) Просто для удовольствия, у меня также есть […]

/ usr / bin / сделать перезаписанным случайно

Я чрезвычайно новичок в Ubuntu и Linux в целом. Я случайно заменил /usr/bin/make другим исполняемым файлом, и теперь мне нужно это исправить. Любая помощь будет высоко оценена.

Как исправить rpm-общий пакет находится в очень плохом несогласованном состоянии?

Обновление программного обеспечения подсказывало мне, что для установки доступны обновления. Однако после установки я продолжаю получать подсказки отчета о сбоях, особенно после перезагрузки. Моя система, похоже, работает нормально, кроме получения отчетов о сбоях. В отчетах о сбоях указано: package rpm-common 4.11.1-3ubuntu0.1 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall […]

Ошибка при использовании обновления sudo apt-get

Я использую компилятор kubuntu 16.04 SSD / HDD, и я продолжаю получать нижеприведенное сообщение об ошибке при попытке обновления sudo apt-get . Reading package lists… Error! E: Could not create temporary file for /var/cache/apt/srcpkgcache.bin – mkstemp (5: Input/output error) E: The package lists or status file could not be parsed or opened. я пытался sudo […]

Как установить haskell-hunit?

Я запускаю 11.10 (amd64). Я вижу, что есть этот пакет: http://packages.ubuntu.com/source/oneiric/haskell-hunit Однако: $ sudo apt-get install haskell-hunit Reading package lists… Done Building dependency tree Reading state information… Done E: Unable to locate package haskell-hunit Как мне это разрешить?

После установки PIP -upgrade Dpkg по-прежнему отображает старые пакеты python

Недавно я обновил все инструменты анализа данных python, используя pip. Когда я делаю dpkg -l |grep python Я вижу старые номера версий программного обеспечения, которое я только что обновил через pip. Как я могу гарантировать, что список dpkg сообщает о правильных версиях? (Я предполагаю, что dpkg -l должен быть правильным) Например, я обновил ipython до […]

apt-get update не работает, дает ошибку

Errors were encountered while processing: /var/cache/apt/archives/libsdl2_2.0.3+z4~20140315-8621-1ppa1trusty1_i386.deb /var/cache/apt/archives/libsdl2-image_2.0.0+z1~20131109-434-1ppa1trusty2_i386.deb E: Sub-process /usr/bin/dpkg returned an error code (1) Похоже, что я установил vdrift менеджер обновлений больше не обновляется. Я попытался найти исправление и использовал sudo apt-get -f install sudo apt-get update sudo apt-get upgrade sudo dpkg –configure -a sudo dpkg clean также использовал синаптический (находит 2 сломанных пакета, […]

apt update: недопустимая подпись

Сегодня я провела модернизацию кучи машин до Zesty. Большинство машин прошли нормально, один из них был PITA. Мне пришлось вернуться к релизу и исправить сломанные пакеты. Но теперь я нахожусь на Zesty (я думаю). Но sudo apt update с каркасом W: GPG error: http://archive.canonical.com precise Release: The following signatures were invalid: 630239CC130E1A7FD81A27B140976EAF437D05B5 E: The repository […]

Возврат пакетов к умолчанию

Есть ли способ заставить мою систему вернуться к тому, как это было при первой установке ubuntu без повторной стандартной установки? Я хочу, чтобы мои пакеты, репозитории, файлы конфигурации возвращались к тому, как это было, когда был установлен ubuntu 12.04 LTS . Это возможно?